﻿.side_nav li a {
  display: block;
  color: #c8252e;
  padding: 1rem 1.75rem;
  background-image: -webkit-gradient(linear, left top, left bottom, from(currentColor), to(currentColor));
  background-image: linear-gradient(currentColor, currentColor);
  background-position: 0 0%;
  background-repeat: no-repeat;
  background-size: 0 0.4rem;
  -webkit-transition: background-size 0.6s;
  transition: background-size 0.6s;
  position: relative;
}
.side_nav li:hover > a, .side_nav li.active > a {
  color: #c8252e;
  background-size: 100% 0.4rem;
  font-weight: bold;
}

.side_nav li.active > a {
  color: #c8252e;
}
.side_nav li.active > a h4 {
  color: #c8252e;
}
.side_nav .nav_sec a {
  font-size: 1.625rem;
  border-bottom: 1px solid #e3e5e5;
}
.side_nav .nav_sec > a {
  padding-right: 3.125rem;
}
.side_nav .nav_sec.active > a {
  border-bottom: 1px solid #102436;
  background: #f3f4f4;
}
.side_nav .nav_sec.open > a {
  font-weight: bold;
  color: #e2d2a9;
  border-bottom: 1px solid #e2d2a9;
  background: #f3f4f4;
  -webkit-transition: all 400ms ease-in-out;
  transition: all 400ms ease-in-out;
}
.side_nav .nav_sec .nav_drop {
  padding-left: 2.5rem;
  opacity: 0;
  max-height: 0px;
  -webkit-transition: max-height 800ms linear;
  transition: max-height 800ms linear;
}
.side_nav .nav_sec .nav_drop .nav_thir a {
  font-size: 1.375rem;
  border-bottom: 1px solid #e3e5e5;
  padding: 1.125rem 0;
  padding-right: 4.875rem;
}
.side_nav .nav_sec .nav_drop .nav_thir.have.open > a {
  color: #c8252e;
}
.side_nav .nav_sec .nav_drop .drop_four {
  opacity: 0;
  max-height: 0px;
  -webkit-transition: max-height 800ms linear;
  transition: max-height 800ms linear;
}
.side_nav .nav_sec .nav_drop .drop_four .nav_four a {
  font-size: 1.25rem;
  padding-right: 1.875rem;
  padding-left: 1.25rem;
}
.side_nav li.have {
  position: relative;
}
.side_nav li.have > a > i {
  display: block;
  width: 4.375rem;
  position: absolute;
  right: 0;
  top: 0;
  background-image: url(../img/up_icon.png);
  background-repeat: no-repeat;
  background-size: auto;
  background-position: center center;
  -webkit-transform: rotateX(180deg);
          transform: rotateX(180deg);
}
.side_nav li.have.open > a > i {
  -webkit-transform: rotateX(0);
          transform: rotateX(0);
}
.side_nav li.have.open.nav_sec .nav_drop {
  opacity: 1;
  max-height: 1500px;
}
.side_nav li.have.open.nav_thir .drop_four {
  opacity: 1;
  max-height: 1500px;
}

@media (max-width: 992px) {
  .level_list {
    background: none;
  }
  .level_list .side_nav {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    background: none;
    border-bottom: 2px solid #dab96b;
    width: 100vw;
    margin-left: -3.2vw;
  }
  .level_list .side_nav .nav_sec.m_active.sec_have > a > i {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }
  .level_list .side_nav .nav_sec.m_active::after {
    content: "";
    display: block;
    width: 90%;
    height: 8px;
    background: #dab96b;
    margin: 0 auto;
    margin-bottom: -5px;
  }
  .level_list .side_nav .nav_sec.m_active > a {
    color: #c8252e;
    position: relative;
  }
  .level_list .side_nav .nav_sec.m_active > a > i {
    display: none;
    position: absolute;
    left: 50%;
    top: initial;
    bottom: -8vw;
    -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
            transform: translateX(-50%);
  }
  .level_list .side_nav .nav_sec.m_active > a > i::before, .level_list .side_nav .nav_sec.m_active > a > i::after {
    width: 84px;
    height: 16px;
    background-image: url(../img/active_up_icon.png);
    background-repeat: no-repeat;
    background-size: contain;
    content: "";
    display: block;
  }
  .level_list .side_nav .nav_sec.m_active > a > i::after {
    background-image: url(../img/active_down_icon.png);
    -webkit-transform: scale(-1);
        -ms-transform: scale(-1);
            transform: scale(-1);
  }
  .level_list .side_nav .nav_sec.m_active .nav_drop {
    display: block;
    opacity: 1;
    left: 3.2vw;
    width: calc(100% - 3.2vw);
    background: none;
    padding-left: 0;
    margin-top: 6.9333vw;
    overflow-x: auto;
    white-space: nowrap;
  }
  .level_list .side_nav .nav_sec.m_active .nav_drop .nav_thir {
    display: inline-block;
    margin-right: 10px;
  }
  .level_list .side_nav .nav_sec.m_active .nav_drop .nav_thir > a {
    position: relative;
    padding-right: 3.7333vw;
    letter-spacing: 2px;
    font-size: 2.6667vw;
    text-align: center;
    -moz-text-align-last: initial;
         text-align-last: initial;
  }
  .level_list .side_nav .nav_sec.m_active .nav_drop .nav_thir > a > i {
    position: absolute;
    display: block;
    right: 0;
    top: 50%;
    -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
            transform: translateY(-50%);
    width: 2px;
    height: 2.6667vw;
    background: #c8252e;
  }
  .level_list .side_nav .nav_sec.m_active .nav_drop .nav_thir:last-child > a > i {
    display: none;
  }
  .level_list .side_nav .nav_sec.m_active .nav_drop .nav_thir .drop_four {
    display: block;
  }
  .level_list .side_nav .nav_sec a {
    font-size: 0.75rem;
    zoom: 0.9;
    padding: 1rem 0.6125rem;
    padding-top: 1.125rem;
  }
  .level_list .side_nav .nav_sec > a {
    text-align: center;
    font-size: 3.2vw;
    padding: 0;
  }
  .level_list .side_nav .nav_sec .nav_drop {
    max-height: initial;
    position: absolute;
    display: none;
    padding-top: 0.6rem;
    padding-bottom: 0.6rem;
    background: none;
  }
  .level_list .side_nav .nav_sec .nav_drop .nav_thir a {
    font-size: 1rem;
    border: none;
    padding-top: 0.6rem;
    padding-bottom: 0.6rem;
  }
  .level_list .side_nav .nav_sec .nav_drop .nav_thir .drop_four a {
    border: none;
  }
  .side_nav .nav_sec a {
    border-bottom: none;
  }
  .level_list .side_nav .nav_sec.m_active > a {
    border-bottom: none;
  }
}